/*
 *  Copyright (C) Chaperon. All rights reserved.                               
 *  ------------------------------------------------------------------------- 
 *  This software is published under the terms of the Apache Software License 
 *  version 1.1, a copy of which has been included  with this distribution in 
 *  the LICENSE file.                                                         
 */

package net.sourceforge.chaperon.parser.generator.conflict;

import org.xml.sax.ContentHandler;
import org.xml.sax.SAXException;
import net.sourceforge.chaperon.grammar.Grammar;

/**
 * This class describes a conflict, which ther
 * parser table generator produce
 *
 * @author Stephan Michels
 * @version %version%
 */
public abstract class Conflict
{

  /**
   * Returns the type of conflict
   *
   * @return Type of conflict
   */
  public abstract String getType();

  /**
   * Convert the conflict to a string
   *
   * @return Content of the conflict
   */
  public abstract String toString();
}
